Subject: Re: [Sip] Open Issue #203: transport related params in To/From

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 03 Apr 2002 02:20:29 -0500

Eric Tremblay wrote:
> 
> Ouch! This one fell through the cracks, and I'm surprised it did not
> generate more comments. I know it's kind of late to comment on that and
> I
> don't expect any changes, but I want to make sure I understand a few
> things.
> 
> 1- Bis06 and later won't interoperate with Bis05 and earlier if Bis05
> devices add ports to their From/To headers of their requests. (the port
> can
> get stripped in the response, causing a failure to match the response to
> the
> request). Our devices are placing the port number in From/To if the home
> server is listening to something else than 5060 :( Of course, if the
> Bis06+
> device echo the port in responses, everything should work fine.

Not clear what will happen, I suspect most will echo it. However, don't
put it in.

> 
> 2- I thought that when I was sending an INVITE to establish a dialog,
> the
> URL found in the From: could be used to call me back later on. This URL
> usually pointed to my home server. If this server has no SRV entries and
> if
> it is using a port different than 5060, there is no way for the user I
> have
> called to call me back. Am I right?  It should work fine as long as SRV
> records are used.

If you don't have SRV, AND if the server for the domain is not on 5060
(both of which are bad, by the way), then use Reply-To.

The perils of putting ports in the From field are well documented, and
that is what motivated this decision. It needs to be a logical
identifier, period.

Thanks,
Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.            72 Eagle Rock Avenue
Chief Scientist                         First Floor
dynamicsoft                             East Hanover, NJ 07936
[email-masked]                 FAX: (973) 952-5050
http://www.jdrosen.net                  PH:  (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip